package Ensembl.artemis;
final public class FeatureListHolder
	implements org.omg.CORBA.portable.Streamable
{
	public Ensembl.artemis.Feature[] value;

	public FeatureListHolder ()
	{
	}
	public FeatureListHolder (Ensembl.artemis.Feature[] initial)
	{
		value = initial;
	}
	public org.omg.CORBA.TypeCode _type()
	{
		return FeatureListHelper.type();
	}
	public void _read(org.omg.CORBA.portable.InputStream in)
	{
		value = FeatureListHelper.read(in);
	}
	public void _write(org.omg.CORBA.portable.OutputStream out)
	{
		FeatureListHelper.write(out,value);
	}
}
